import { __assign } from 'tslib';
import { withThemeableProps } from '../../useThemeable.js';
import { classNamesFunction } from '@uifabric-vue/utilities';
import Vue from 'vue';

var getClassNames = classNamesFunction();
var VerticalDividerBase = Vue.extend({
  name: "VerticalDividerBase",
  functional: true,
  props: __assign({}, withThemeableProps()),
  render: function(h, ctx) {
    var _a = ctx.props, styles = _a.styles, theme = _a.theme, className = _a.className;
    var classNames = getClassNames(styles, { theme: theme, className: className });
    return h("span", { class: classNames.wrapper }, [
      h("span", { class: classNames.divider })
    ]);
  }
});

export { VerticalDividerBase };
